# Rule 2. Share your data online, with a permanent identifier.
Nothing really lasts forever, so "permanent" actually just means long-lasting. For example, your personal web site is unlikely to be a good option for long-term data storage (yet, in the very short run, putting your data on your site is better than doing nothing at all!). In general, although many papers include URLs to give access to datasets, most become inaccessible within a few years \cite{Wren_2008}. The best option for releasing your data with long-term guarantee is to **deposit them in whatever data archive is the "go to" place for your field**. A proper, trustworthy, archive will: (1) assign an identifier such as a "handle" (hdl) or "digital object identifier" (doi); (2) require that you provide adequate documentation and metadata; and (3) manage the "care and feeding" of your data by employing good curation practices. If no such archive exists in your field, there are also generic (non-domain-specific) online services that can host your data and issue persistent identifiers (see Rule 8). Pointers to a few generic repositories are listed in Appendix A, and longer compilations of such services are at the links in Appendix B.
